package application;
	
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.fxml.FXMLLoader;


public class Main extends Application {
	
	Stage stage;
	Scene scena1;
	Scene scena2;
	
	public void settaSchermata1ComeScena() {
		stage.setScene(scena1);
	}
	
	public void settaSchermata2ComeScena() {
		stage.setScene(scena2);
	}
	
	@Override
	public void start(Stage primaryStage) {
		stage = primaryStage;
		try {
		FXMLLoader loader1 = new FXMLLoader(
			getClass().getResource("Schermata1.fxml")
				);	
		FXMLLoader loader2 = new FXMLLoader(
			getClass().getResource("Schermata2.fxml")
				);		
		AnchorPane root = (AnchorPane) loader1.load();
		scena1 = new Scene(root,400,400);
		AnchorPane root2 = (AnchorPane) loader2.load();
		scena2 = new Scene(root2,400,400);
		primaryStage.setScene(scena1);
		primaryStage.show();
		Schermata1Controller controller1 = 
				loader1.getController();
		Schermata2Controller controller2 =
				loader2.getController();
		controller1.setMain(this);
		controller2.setMain(this);
		
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
