package application;
	
import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.input.KeyEvent;
import javafx.stage.Stage;


public class Main extends Application {
	
	Canvas canvas;
	@Override
	public void start(Stage primaryStage) {
		try {
			Group root = new Group();
			Scene scene = new Scene(root);
			canvas = new Canvas(800,800);
			
			Personaggio p = new Personaggio(0,0,10);
			root.getChildren().add(canvas);
			
			canvas.getGraphicsContext2D().drawImage(p.getImage(),p.x,p.y,40,40);
			canvas.setOnKeyPressed(new EventHandler<KeyEvent>() {

				@Override
				public void handle(KeyEvent event) {
					switch(event.getCode()) {
					case LEFT:
						p.muovi(Personaggio.MUOVI_SINISTRA);
						break;
					case RIGHT:
						p.muovi(Personaggio.MUOVI_DESTRA);
						break;
					case DOWN:
						p.muovi(Personaggio.MUOVI_SOTTO);
						break;
					case UP:
						p.muovi(Personaggio.MUOVI_SOPRA);
						break;
					default:
						break;
					}			
					canvas.getGraphicsContext2D().clearRect(0, 0, canvas.getWidth(), canvas.getHeight());
					canvas.getGraphicsContext2D().drawImage(p.getImage(),p.x,p.y,40,40);					
				}
			});
			canvas.setFocusTraversable(true);
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
